Bug 1001716 - Review Request: kte-collaborative - Collaborative text editing in KTextEditor via KDE Telepathy
Review Request: kte-collaborative - Collaborative text editing in KTextEditor...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lukáš Tinkl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-27 11:03 EDT by Daniel Vrátil
Modified: 2015-11-01 20:37 EST (History)
4 users (show)

See Also:
Fixed In Version: kte-collaborative-0.0.95-5.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-09 19:51:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ltinkl: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Daniel Vrátil 2013-08-27 11:03:38 EDT
Spec URL: http://dvratil.fedorapeople.org/spec/kte-collaborative.spec
SRPM URL: http://dvratil.fedorapeople.org/spec/kte-collaborative-0.0.95-1.fc19.src.rpm
Description: A plugin for KTextEditor which allows to edit text documents collaboratively
Fedora Account System Username: dvratil
Comment 1 Lukáš Tinkl 2013-08-27 12:07:11 EDT
Build fails with:

CMake Error at kte-plugin/ktpintegration/CMakeLists.txt:52 (message):
  Could not find infinoted (infinoted-0.5 executable), which is required to
  start collaborative sessions.
-- Configuring incomplete, errors occurred!
Comment 3 Lukáš Tinkl 2013-08-27 12:15:55 EDT
Build fails with:

/builddir/build/BUILD/kte-collaborative-0.0.95/kte-plugin/ui/sharedocumentdialog.cpp: In constructor 'ShareDocumentDialog::ShareDocumentDialog(KTextEditor::View*)':
/builddir/build/BUILD/kte-collaborative-0.0.95/kte-plugin/ui/sharedocumentdialog.cpp:56:14: error: 'class KMessageWidget' has no member named 'setIcon'
make[2]: *** [kte-plugin/CMakeFiles/ktexteditor_kobby_objects.dir/ui/sharedocumentdialog.cpp.o] Error 1
make[2]: *** Waiting for unfinished jobs....

[root@goblin ~]# rpm -q kdelibs-devel
kdelibs-devel-4.11.0-2.fc19.x86_64
Comment 4 Lukáš Tinkl 2013-08-27 12:52:41 EDT
Problems spotted:

- Licence in .spec file doesn't match (all the) licenses used by the code
- rpmlint detects unversioned so-files:
--------------------
kte-collaborative: /usr/lib64/kde4/kio_infinity.so
kte-collaborative: /usr/lib64/kde4/ktexteditor_kobby.so
kte-collaborative: /usr/lib64/libinftube.so
kte-collaborative: /usr/lib64/libkobbycommon.so

Full report below:
--------------------------------------------------------------------------


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Development (unversioned) .so files in -devel subpackage, if present.
  Note: Unversioned so-files directly in %_libdir.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages
- update-desktop-database is invoked when required
  Note: desktop file(s) in kte-collaborative
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
- Package installs a %{name}.desktop using desktop-file-install if there is
  such a file.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#desktop


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL", "LGPL (v2)", "LGPL (v2 or later)", "GPL (v2 or later)", "Unknown
     or generated". 4 files have unknown license. Detailed output of
     licensecheck in /home/ltinkl/tmp/kte/review-kte-
     collaborative/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
     Note: Using prebuilt packages
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: kte-collaborative-0.0.95-2.fc19.x86_64.rpm
kte-collaborative.x86_64: E: invalid-soname /usr/lib64/libkobbycommon.so libkobbycommon.so
kte-collaborative.x86_64: E: invalid-soname /usr/lib64/libinftube.so libinftube.so
1 packages and 0 specfiles checked; 2 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint kte-collaborative
kte-collaborative.x86_64: E: invalid-soname /usr/lib64/libkobbycommon.so libkobbycommon.so
kte-collaborative.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkobbycommon.so /lib64/libkfile.so.4
kte-collaborative.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkobbycommon.so /lib64/libkdnssd.so.4
kte-collaborative.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkobbycommon.so /lib64/libgmodule-2.0.so.0
kte-collaborative.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkobbycommon.so /lib64/libgthread-2.0.so.0
kte-collaborative.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkobbycommon.so /lib64/libglib-2.0.so.0
kte-collaborative.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkobbycommon.so /lib64/libgsasl.so.7
kte-collaborative.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkobbycommon.so /lib64/libxml2.so.2
kte-collaborative.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkobbycommon.so /lib64/libkio.so.5
kte-collaborative.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkobbycommon.so /lib64/libQtXml.so.4
kte-collaborative.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkobbycommon.so /lib64/libnepomukutils.so.4
kte-collaborative.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkobbycommon.so /lib64/libnepomuk.so.4
kte-collaborative.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkobbycommon.so /lib64/libsoprano.so.4
kte-collaborative.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkobbycommon.so /lib64/libQtSvg.so.4
kte-collaborative.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkobbycommon.so /lib64/libQtDBus.so.4
kte-collaborative.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkobbycommon.so /lib64/libpthread.so.0
kte-collaborative.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkobbycommon.so /lib64/libm.so.6
kte-collaborative.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkobbycommon.so /lib64/libgcc_s.so.1
kte-collaborative.x86_64: E: invalid-soname /usr/lib64/libinftube.so libinftube.so
kte-collaborative.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libinftube.so /lib64/libktpmodelsprivate.so.5
kte-collaborative.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libinftube.so /lib64/libktpwidgetsprivate.so.5
kte-collaborative.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libinftube.so /lib64/libQtXml.so.4
kte-collaborative.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libinftube.so /lib64/libQtSvg.so.4
kte-collaborative.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libinftube.so /lib64/libpthread.so.0
kte-collaborative.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libinftube.so /lib64/libm.so.6
kte-collaborative.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libinftube.so /lib64/libgcc_s.so.1
1 packages and 0 specfiles checked; 2 errors, 24 warnings.
# echo 'rpmlint-done:'



Requires
--------
kte-collaborative (rpmlib, GLIBC filtered):
    infinoted
    libQtCore.so.4()(64bit)
    libQtDBus.so.4()(64bit)
    libQtDeclarative.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libQtSvg.so.4()(64bit)
    libQtXml.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgsasl.so.7()(64bit)
    libgthread-2.0.so.0()(64bit)
    libinfinity-0.5.so.0()(64bit)
    libinftext-0.5.so.0()(64bit)
    libinftube.so()(64bit)
    libkcmutils.so.4()(64bit)
    libkdecore.so.5()(64bit)
    libkdeui.so.5()(64bit)
    libkdnssd.so.4()(64bit)
    libkfile.so.4()(64bit)
    libkio.so.5()(64bit)
    libkobbycommon.so()(64bit)
    libkparts.so.4()(64bit)
    libktexteditor.so.4()(64bit)
    libktpcommoninternalsprivate.so.5()(64bit)
    libktpmodelsprivate.so.5()(64bit)
    libktpwidgetsprivate.so.5()(64bit)
    libm.so.6()(64bit)
    libnepomuk.so.4()(64bit)
    libnepomukutils.so.4()(64bit)
    libpthread.so.0()(64bit)
    libqinfinity.so.3()(64bit)
    libsoprano.so.4()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libtelepathy-qt4.so.2()(64bit)
    libxml2.so.2()(64bit)
    rtld(GNU_HASH)



Provides
--------
kte-collaborative:
    kio_infinity.so()(64bit)
    kte-collaborative
    kte-collaborative(x86-64)
    ktexteditor_kobby.so()(64bit)
    libinftube.so()(64bit)
    libkobbycommon.so()(64bit)



Unversioned so-files
--------------------
kte-collaborative: /usr/lib64/kde4/kio_infinity.so
kte-collaborative: /usr/lib64/kde4/ktexteditor_kobby.so
kte-collaborative: /usr/lib64/libinftube.so
kte-collaborative: /usr/lib64/libkobbycommon.so

Source checksums
----------------
http://download.kde.org/unstable/kte-collaborative/0.0.95/src/kte-collaborative-0.0.95.tar.xz :
  CHECKSUM(SHA256) this package     : 37026b8bcfd4469243dd694f4e62aa19601416792bdb8c184453715fe950ab71
  CHECKSUM(SHA256) upstream package : 37026b8bcfd4469243dd694f4e62aa19601416792bdb8c184453715fe950ab71


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -n kte-collaborative -p
Comment 5 Daniel Vrátil 2013-08-27 13:11:21 EDT
Spec URL: http://dvratil.fedorapeople.org/spec/kte-collaborative.spec
SRPM URL: http://dvratil.fedorapeople.org/spec/kte-collaborative-0.0.95-3.fc19.src.rpm

 - added LGPLV2+ license (found no file with GPL only license, probably a false-positive by fedora-review)
 - KDE plugins generally don't have soname version, so I wouldn't consider it a problem
Comment 6 Lukáš Tinkl 2013-08-27 13:34:28 EDT
Yup, the plugins are fine (like /usr/lib64/kde4/kio_infinity.so) but I'm more worried about the generic libraries:

/usr/lib64/libinftube.so
/usr/lib64/libkobbycommon.so
Comment 7 Daniel Vrátil 2013-08-28 10:46:18 EDT
Spec URL: http://dvratil.fedorapeople.org/spec/kte-collaborative.spec
SRPM URL: http://dvratil.fedorapeople.org/spec/kte-collaborative-0.0.95-4.fc19.src.rpm

 - added versioned sonames to libinftube and libkobbycommon (backported an upstream patch)
Comment 8 Lukáš Tinkl 2013-08-28 16:54:33 EDT
Now all MUST points pass, good to go
Comment 9 Daniel Vrátil 2013-08-29 09:35:40 EDT
New Package SCM Request
=======================
Package Name: kte-collaborative
Short Description: Collaborative text editing in KTextEditor via KDE Telepathy
Owners: dvratil
Branches: f18 f19 f20
InitialCC:
Comment 10 Gwyn Ciesla 2013-08-29 10:05:45 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2013-08-29 12:27:32 EDT
kte-collaborative-0.0.95-5.fc18,libqinfinity-0.5.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kte-collaborative-0.0.95-5.fc18,libqinfinity-0.5.0-1.fc18
Comment 12 Fedora Update System 2013-08-29 12:27:47 EDT
kte-collaborative-0.0.95-5.fc19,libqinfinity-0.5.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/kte-collaborative-0.0.95-5.fc19,libqinfinity-0.5.0-1.fc19
Comment 13 Fedora Update System 2013-08-30 18:56:38 EDT
kte-collaborative-0.0.95-5.fc18, libqinfinity-0.5.0-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 14 Fedora Update System 2013-09-09 19:51:13 EDT
kte-collaborative-0.0.95-5.fc18, libqinfinity-0.5.0-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 15 Fedora Update System 2013-09-09 19:52:52 EDT
kte-collaborative-0.0.95-5.fc19, libqinfinity-0.5.0-1.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.